---
title: Release 2021.8
slug: "2021.8"
---

## Headline Changes

- Embedded Outpost

    To simplify the setup, an embedded outpost has been added. This outpost runs as part of the main authentik server, and requires no additional setup.

    You can simply assign providers to the embedded outpost, and either use the integrations to configure reverse proxies, or point your traffic to the main authentik server.
    Traffic is routed based on host-header, meaning every host that has been configured as a provider and is assigned to the embedded proxy will be sent to the outpost, and every sub-path under `/akprox` is sent to the outpost too. The rest is sent to authentik itself.


## Minor changes

 - admin: add API to show embedded outpost status, add notice when its not configured properly
 - api: ensure all resources can be filtered
 - api: make all PropertyMappings filterable by multiple managed attributes
 - core: add API to directly send recovery link to user
 - core: add UserSelfSerializer and separate method for users to update themselves with limited fields
 - core: allow changing of groups a user is in from user api
 - flows: fix unhandled error in stage execution not being logged as SYSTEM_EXCEPTION event
 - lifecycle: decrease default worker count on compose
 - providers/proxy: don't create ingress when no hosts are defined
 - web: add API Drawer
 - web/admin: add UI to copy invitation link
 - web/admin: allow modification of users groups from user view
 - web/admin: re-name service connection to integration

## Upgrading

This release does not introduce any new requirements.

### docker-compose

Download the docker-compose file for 2021.7 from [here](https://raw.githubusercontent.com/goauthentik/authentik/version-2021.7/docker-compose.yml). Afterwards, simply run `docker-compose up -d`.

### Kubernetes

Upgrade to the latest chart version to get the new images.
